WordPress BuddyPress plugin “exclude” SQL befecskendezés sérülékenység

CH azonosító

CH-6641

Angol cím

WordPress BuddyPress Plugin "exclude" SQL Injection Vulnerability

Felfedezés dátuma

2012.04.01.

Súlyosság

Közepes

Érintett rendszerek

BuddyPress plugin
WordPress

Érintett verziók

WordPress BuddyPress plugin 1.x

Összefoglaló

A BuddyPress WordPress bővítmény olyan sérülékenysége vált ismertté, amelyet a támadók kihasználhatnak SQL befecskendezés támadások kezdeményezésére.

Leírás

Az “exclude” POST paraméterrel a wp-load.php-nek átadott bemenet (amikor “action” értéke “activity_widget_filter” és “page” be van állítva) nem kerül megfelelően ellenőrzésre, mielőtt SQL lekérdezésben használnák. Ez tetszőleges SQL kód befecskendezésével kihasználható az SQL lekérdezések manipulálására.

A sérülékenységet az 1.5.4. verzióban ismerték fel, de korábbi verziók is érintettek lehetnek.

Megoldás

Frissítsen a legújabb verzióra